# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "gemnasium"
  s.version = "2.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tech-Angels"]
  s.date = "2013-07-25"
  s.description = "Safely upload your dependency files (Gemfile, Gemfile.lock, *.gemspec, package.json, npm-shrinkwrap.json) on gemnasium.com to track dependencies and get notified about updates and security advisories."
  s.email = ["contact@tech-angels.com"]
  s.executables = ["gemnasium"]
  s.files = [".gitignore", ".rvmrc", ".travis.yml", "CHANGELOG.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "bin/gemnasium", "features/gemnasium.feature", "features/gemnasium_create.feature", "features/gemnasium_install.feature", "features/step_definitions/gemnasium_steps.rb", "features/support/env.rb", "gemnasium.gemspec", "lib/gemnasium.rb", "lib/gemnasium/configuration.rb", "lib/gemnasium/connection.rb", "lib/gemnasium/dependency_files.rb", "lib/gemnasium/errors.rb", "lib/gemnasium/options.rb", "lib/gemnasium/version.rb", "lib/templates/gemnasium.rake", "lib/templates/gemnasium.yml", "lib/templates/post-commit", "spec/gemnasium/configuration_spec.rb", "spec/gemnasium/connection_spec.rb", "spec/gemnasium/dependency_files_spec.rb", "spec/gemnasium/options_spec.rb", "spec/gemnasium_spec.rb", "spec/spec_helper.rb", "spec/support/gemnasium_helper.rb"]
  s.homepage = "https://gemnasium.com/"
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.5"
  s.summary = "Safely upload your dependency files (Gemfile, Gemfile.lock, *.gemspec, package.json, npm-shrinkwrap.json) on gemnasium.com to track dependencies and get notified about updates and security advisories."
  s.test_files = ["features/gemnasium.feature", "features/gemnasium_create.feature", "features/gemnasium_install.feature", "features/step_definitions/gemnasium_steps.rb", "features/support/env.rb", "spec/gemnasium/configuration_spec.rb", "spec/gemnasium/connection_spec.rb", "spec/gemnasium/dependency_files_spec.rb", "spec/gemnasium/options_spec.rb", "spec/gemnasium_spec.rb", "spec/spec_helper.rb", "spec/support/gemnasium_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, ["~> 10.0.3"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<cucumber>, [">= 0"])
      s.add_development_dependency(%q<aruba>, [">= 0"])
      s.add_development_dependency(%q<webmock>, [">= 0"])
    else
      s.add_dependency(%q<rake>, ["~> 10.0.3"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<cucumber>, [">= 0"])
      s.add_dependency(%q<aruba>, [">= 0"])
      s.add_dependency(%q<webmock>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, ["~> 10.0.3"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<cucumber>, [">= 0"])
    s.add_dependency(%q<aruba>, [">= 0"])
    s.add_dependency(%q<webmock>, [">= 0"])
  end
end

